com.sun.syndication.feed.synd

## Interface SyndEnclosure

All Superinterfaces:
  java.lang.Cloneable, CopyFrom

All Known Implementing Classes:
  SyndEnclosureImpl

    public interface SyndEnclosure
    extends java.lang.Cloneable, CopyFrom

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getLength()` Returns the enclosure length.
`java.lang.String` `getType()` Returns the enclosure type.
`java.lang.String` `getUrl()` Returns the enclosure URL.
`void` `setLength(long length)` Sets the enclosure length.
`void` `setType(java.lang.String type)` Sets the enclosure type.
`void` `setUrl(java.lang.String url)` Sets the enclosure URL.

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Method Detail

#### getUrl

    java.lang.String getUrl()

Returns the enclosure URL.

Returns:
  the enclosure URL, null if none.

#### setUrl

    void setUrl(java.lang.String url)

Sets the enclosure URL.

Parameters:
  `url` - the enclosure URL to set, null if none.

#### getLength

    long getLength()

Returns the enclosure length.

Returns:
  the enclosure length, null if none.

#### setLength

    void setLength(long length)

Sets the enclosure length.

Parameters:
  `length` - the enclosure length to set, null if none.

#### getType

    java.lang.String getType()

Returns the enclosure type.

Returns:
  the enclosure type, null if none.

#### setType

    void setType(java.lang.String type)

Sets the enclosure type.

Parameters:
  `type` - the enclosure type to set, null if none.